//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//GLOBALS.H - A set of globals (CONSTS/DEFINES ONLY!)
//Copyright Marshall Harnish /97
//-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

#ifndef _GLOBALS_INC_
#define _GLOBALS_INC_

enum {
	DISPLAYMAINSCREEN,
	TITLESCREENCLICK,
	TITLESCREEN,
	MAINSCREEN,
	NOTHING,
	DISPLAYMAINMAP,
	MAINMAP,
	DISPLAYFIGHT,
	FIGHT,
	DISPLAYEDITOR,
	EDITOR,
	DISPLAYTILESET,
	TILESET
};

enum {
	CDX_PRIMARY,
	CDX_BACK,
	CDX_TILES,
	CDX_WORK
};

const USER_OFFSET_X=10;
const USER_OFFSET_Y=7;
const CDX_POLYNUM=4;	//There are four verticies to each polygon
const SCN_SIZE_X=640;	//The size of the screen
const SCN_SIZE_Y=480;
const TILE_SIZE=32;		//The size of a single tile (square)
const TILES_SCN_X=(SCN_SIZE_X/TILE_SIZE);	//The number of tiles on the X axis of the screen
const NUM_POLY_POINTS=4;

#endif